APIPricing

List seat assignments

List seat assignments for the org. Seats are low-cardinality, so this returns the full set unpaginated.

GET
/seat-assignments

List seat assignments for the org. Seats are low-cardinality, so this returns the full set unpaginated.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_seat_pricing

Response Body

The request has succeeded.

application/json
  1. response
[index: integer]?

A user's (or the org default's) assignment to a provider subscription plan.

curl -X GET "https://example.com/seat-assignments"
[  {    "id": null,    "user_id": null,    "provider": "claude",    "plan": "string",    "effective_from": "2019-08-24T14:15:22Z",    "effective_to": "2019-08-24T14:15:22Z"  }]